GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtRegFileType Class Reference
GEN Register

< Ordinal number of the virtual register More...

`#include <gt_reg.h>`

## Public Member Functions
| GtRegFileType (GED_REG_FILE v=GED_REG_FILE_INVALID)
| Conversion constructor.
| operator GED_REG_FILE () const
| Conversion operator.
bool | IsArf () const
| Return true for an architectural (ARF) register type.
bool | IsGrf () const
| Return true for a general purpose (GRF) register type.
bool | IsImm () const
| Return true for an immediate (IMM) type.
bool | IsReg () const
| Return true for a register type.
const char * | ToString () const
| Return string representation.

## Detailed Description

< Ordinal number of the virtual register

Type of the instruction operand. Specifies GEN register file or immediate

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT